DUcCjOHtRs务集合
var downTask = [];
//下载任务是否已开启。
var taskStarted = false;
//Img加载图片
function loadImage(imgObject) {
	//取得图片文件名字。
	var imgName = GetFileName(imgObject);
	if(!imgName) return;

	//图片已加载则不重新加载
	var loaded = imgObject.getAttribute("loaded");
	if(loaded) return;

	//失败三次则不再重试
	var errorCount = imgObject.getAttribute("error-count");

	if(errorCount) {
		if(errorCount > 3) {
			return;
		};
	} else {
		imgObject.setAttribute("error-count", 0);
	};

	//图片本地图径
	var dir = imgObject.getAttribute("dir");

	//本地相对路径
	var localFile = "_doc/" + dir + "/" + imgName;
	//本地绝对路径
	var sdFile = plus.io.convertLocalFileSystemURL(localFile);

	//用于检查图片是否存在的临时图片
	var tempImg = new Image();

	//如果图片存在，直接加载图片（只有当img对象的src有效时才会发生onload,否则是onerror）
	tempImg.onload = function() {
		SetImage(imgObject);
		//		tempImg = null;
	};
	tempImg.onerror = function() {
		//先将地直指向服务器
		var dir = imgObject.getAttribute("dir")
		var imgName = GetFileName(imgObject);
		var fileWithPath = imageServer + "/Image/" + dir + "/" + imgName;
//		imgObject.src = fileWithPath;
//		console.log(fileWithPath);

		//如果图片不存在，将当前img对象加入到需要下载图片的数组最后。
		downTask.push(imgObject);
		//启动下载
		if(!taskStarted) {
			//重置 启动标志
			taskStarted = true;
			//启动下载任务
			StartDownLoad();
			tempImg = null;
		}
	};
	tempImg.src = sdFile;
	//	tempImg = null;

}

//下载文件:参数是文件路径。
function StartDownLoad() {

	//没有任务(全部下载完成后)，则将任务状态置 为关闭
	if(downTask.length == 0) {
		taskStarted = false;
		return;
	}

	//取出一个任务。shift是从数组中取出第一个元素，并从数组中删除。
	var obj = downTask.shift();

	var imgName = GetFileName(obj);
	if(!imgName) return;

	//图片本地图径
	var dir = obj.getAttribute("dir")
		//本地文件（相对路径）
	var localFile = "_doc/" + dir + "/" + imgName;

	var tempImg = new Image();
	//	//绝对路径
	var sdPath = plus.io.convertLocalFileSystemURL(localFile);
	tempImg.src = sdPath;

	//如果文件存在时，直接加载文件，交重新遍历下载任务。
	tempImg.onload = function() {
		SetImage(obj);
		StartDownLoad();
	};

	//如果文件不存在时，需要下载
	tempImg.onerror = function() {
		//创建下载对象（远程文件与本地文件名字相同。）
		var now = new Date();
		var dtask = plus.downloader.createDownload(
			imageServer + "/Image/" + dir + "/" + imgName, {
				filename: localFile,
				retry: 0,
				timeout: 2
			},
			function(task, status) {
				//文件下载成功
				if(status == 200) {
					//加载图片
					SetImage(obj);
				} else {
					loadImage(obj);
					var errorCount = obj.getAttribute("error-count") * 1;
					obj.setAttribute("error-count", errorCount + 1);
					//文件下载失败：删除文件，取消下载
					//					dtask.abort();
				}
				//继续下载其它文件。
				StartDownLoad();

			}
		);
		//启动下载任务。
		dtask.start();
		//		imgTemp = null;
	};

};

//设置图片
function SetImage(imgObject) {

	if(!imgObject) return;

	//图片加载标志：如果已加载过，不重复加载。
	if(imgObject.getAttribute("loader")) return;

	//渐变动画
	imgObject.classList.add("anim_opacity");

	var imgName = GetFileName(imgObject);
	if(!imgName) return;

	//图片本地图径
	var dir = imgObject.getAttribute("dir")

	//取得绝对路径文件名
	var sdPath = plus.io.convertLocalFileSystemURL("_doc/" + dir + "/" + imgName);

	//更改图片
	imgObject.src = sdPath;
	//重置加载标志。
	imgObject.setAttribute("loaded", true);
	imgObject.setAttribute("data-src", sdPath);

	setTimeout(function() {
		if(imgObject.getAttribute("imgType") != "small") {
			if(imgObject.width > imgObject.height) {
				imgObject.parentElement.style.height = imgObject.height + "px";
			}
		}
	}, 200);
}
//取得图片名字
function GetFileName(imgObject) {
	var imgName = imgObject.getAttribute("imgName");
	if(!imgName) return "";
	//imgType:是否是小图片
	var imgType = imgObject.getAttribute("imgType");
	if(imgType) {
		//后辍名位置（.的位置）
		var mimeSpace = imgName.lastIndexOf(".");
		var mime = imgName.substr(mimeSpace, 20);
		var fileName = imgName.substr(0, mimeSpace);
		imgName = fileName + imgType + mime;
	}

	return imgName;
};