CjLMociGyOetShopDetail(shopId, recordBrow) {
	var userId = plus.storage.getItem("UserId") || "";
	var posData = JSON.parse(plus.storage.getItem("LastPosition"));
	var serverPage = "/DataGet/Shop/GetShopById.ashx";
	var para = {
		ShopId: shopId,
		X: posData.X,
		Y: posData.Y,
		UUID: plus.device.uuid,
		UserId: userId,
		RecordBrow: recordBrow
	};
	RunAjax(serverPage, para, setShopDetail,
		function() {

			plus.nativeUI.closeWaiting();
			self.close();
		},
		function(dataS) {
			self.close();
		});
}

//店铺详细资料
function setShopDetail(dataS) {

	var data = JSON.parse(dataS);
	if(data.length == 0) {
		mui.toast("没有找到店铺数据...")
			//提示信息：没找到店铺资料
		plus.nativeUI.closeWaiting();
		self.close();

		return;
	}

	var dataCur = data[0];
	//	经纬度
	var xy = document.getElementById("x-y");
	if(xy) {
		xy.setAttribute("x", dataCur.f_x);
		xy.setAttribute("y", dataCur.f_y);
	}
	//收藏
	var coll = document.getElementById("data-coll");
	(coll && dataCur.IsColl) && coll.classList.add("mk-coll");

	//主图
	var mainImg = document.getElementById("mainImg");
	if(mainImg) {
		mainImg.setAttribute("imgName", dataCur.MainImg);
		mainImg.onload = loadImage(mainImg);
	}

	//店铺名字
	var shopName = document.getElementById("shop-name");
	if(shopName)
		shopName.innerHTML = dataCur.ShopName;

	var title = document.getElementById("title");
	if(title)
		title.innerHTML = dataCur.ShopName;

	var shopSim = document.getElementById("shop-sim");
	if(shopSim)
		shopSim.innerHTML = dataCur.ShopSim;
	//分数图案
	var shopScoreImg = document.getElementById("shopScoreImg");
	if(shopScoreImg) {
		shopScoreImg.style.width = (dataCur.ScoreComment / 5 * 100) + "%";
		//分数描述
		shopScore = document.getElementById("score");
		var score = dataCur.ScoreComment;
		if(score == 0) {
			score = 5;
		}
		shopScore.innerHTML = "(" + score.toFixed(2) + "分 " + dataCur.CountComment + "评)"
	}
	//人气
	var shopBrow = document.getElementById("brow-count");
	if(shopBrow) {
		shopBrow.innerHTML = "人气：" + 　dataCur.CountBrow;
	}
	//地址
	var shopAddress = document.getElementById("addr");
	if(shopAddress)
		shopAddress.innerHTML = dataCur.Address;

	var shopDistance = document.getElementById("distance");
	if(shopDistance) {
		shopDistance.innerHTML = dataCur.Distance;
	}

	//营业时间
	var timeObj = document.getElementById("time-li");
	var timeStr = "";
	if(timeObj) {
		if(dataCur.TimeStart.length > 0) {
			timeStr += dataCur.TimeStart + "~" + dataCur.TimeEnd;
			if(dataCur.TimeEnd != dataCur.TimeEndOther) {
				timeStr += "　节假日营业至 " + dataCur.TimeEndOther;
			}
			document.getElementById("job-time").innerHTML = timeStr;
		} else {
			timeObj.classList.add("mui-hidden");
		}
	}

	//电话
	var shopTel = document.getElementById("tel")
	if(shopTel) {
		var aObj = shopTel.getElementsByTagName("a")[0];
		if(!dataCur.Tel || dataCur.Tel.toString().length < 7) {
			aObj.innerHTML = "<p>商家没有留下电话号码!<p>";
		} else {
			var telNo = dataCur.Tel.toString();
			aObj.setAttribute("tel-no", dataCur.Tel);
			document.getElementById("tel-no").innerHTML = telNo.substr(0, telNo.length - 4) + "****";
		}
	}

	//活动:当前展示 的大类
	if(document.getElementById("li-prd")) {
		var curPrdList = dataCur.CurPrdNameList;
		var html = [];
		if(curPrdList.length > 0) {
			var prdSimList = curPrdList.split('|');
			//对大类进行循环
			mui.each(prdSimList, function() {
				var prdData = this.split(":");
				html.push('<p class="mui-badge mui-badge-red" style = "background-color:' + prdData[1] + '">' + prdData[0] + '</p>');
			});

			document.getElementById("prd-list").innerHTML = html.join("");
		} else {
			document.getElementById("li-prd").classList.add('mui-hidden');
		}
	}

	//服务
	var serverList = document.getElementById("server-list");
	if(serverList) {
		var serverLoacl = JSON.parse(plus.storage.getItem("serverData"));
		var serverS = dataCur.ServerList.split(',');
		cStr = "";
		mui.each(serverS, function() {
			var serverId = this;
			var server = serverLoacl.filter(function(item) {
				return item.ServerId == serverId;
			});
			if(server.length > 0) {
				cStr += '<span class="mui-badge mui-badge-purple">' + server[0].ServerName + '</span>\n';
			}
		})
		if(cStr) {
			document.getElementById("server-list").innerHTML = cStr;
		} else {
			document.getElementById("li-server").classList.add("mui-hidden");
		}
	}
	//推荐
	if(document.getElementById("li-key")) {
		if(dataCur.KeyList.trim().length > 0) {
			var keyList = dataCur.KeyList.split(',');
			cStr = "";
			mui.each(keyList, function(i) {
				if(i > 9) return false; //最多显示10个.
				cStr += '<span class="mui-badge mui-badge-blue">' + this + '</span>\n';
			});
			document.getElementById("key-list").innerHTML = cStr;
		} else {
			document.getElementById("li-key").classList.add("mui-hidden");
			document.getElementById("li-key").classList.add("mui-hidden");
		}
	}
	//商家介绍。
	var shopBody = document.getElementById("shop-body");
	if(shopBody) {
		var body = dataCur.ShopBody || "　　沉默是金，掌柜的什么话也没留，让您直接打电话或上门拜访。";
		shopBody.innerText = body;
	}

	//商家图片
	var objImgDetail = document.getElementById("img-detail");
	if(objImgDetail) {
		addImgDetail(dataCur.ImgDetailList, dataCur.ImgDetailMess, "Shop", 3);

		objImgDetail.setAttribute("img-list", dataCur.ImgDetailList);
		objImgDetail.setAttribute("img-mess", dataCur.ImgDetailMess);
	}

	//设置 底部显示项目
	setElShow(dataCur.UserId, dataCur.AllowInvite);

	//优惠买单
	if(dataCur.JoinDis) {
		document.getElementById("el-dis").classList.remove("mui-hidden");
		var disMess = "";
		if(dataCur.DisType == 1) {
			disMess = '买单立享 <span class = "dis">' + (dataCur.DisSim / 10).toFixed(1) + "</span> 折优惠";
		} else {
			disMess = '消费每满 <span class = "dis">' + dataCur.FamtBuyFull.toFixed(1) + ' </span>元减 <span class = "dis">' + dataCur.FamtBuyFullDis.toFixed(1) + ' </span>元';
		}
		document.getElementById("dis-mess").innerHTML = disMess;
		//优惠条件
		var disCondition = dataCur.DisCondition;
		document.getElementById("dis-condition").innerHTML = disCondition?"(" + disCondition + ")":"";
		//买单时间
		if(!dataCur.IsAllTimeDis) {
			document.getElementById("dis-time").innerHTML = "限(" + dataCur.DisTimeStart + "~" + dataCur.DisTimeEnd + ")"
		}
	}

	//将获取店铺类型重置 为null 。
	data = null;
	//加载无成后关闭等待框。
	plus.nativeUI.closeWaiting();
	self.show("slide-in-right", 200);
};

function setElShow(userId, allowInvite) {
	//登陆用户，并且是员工才可以更改资料
	var isLogin = plus.storage.getItem("UserLogin")
	var isEmployee = plus.storage.getItem("IsEmployee")
	var isEmployeeHelp = plus.storage.getItem("IsEmployeeHelp");
	if(isLogin == "true") {
		var shopOperator = document.getElementById("shop-operator");
		if(shopOperator) {
			shopOperator.classList.remove("mui-hidden");
		}
	}
	//登陆的员工才可以进行修改
	if(isLogin == "true" && isEmployee == "true") {
		var editShop = document.getElementById("shop-edit");
		if(editShop) {
			editShop.classList.remove("mui-hidden");
		}

	}
	//登陆的用户，加入了赚钱计划，员工也可以向店铺发出邀请。 
	if(isLogin == "true" && isEmployeeHelp == "true" && allowInvite) {
		var inviteShop = document.getElementById("invite-shop")
		if(inviteShop) inviteShop.classList.remove("mui-hidden");
	}
}