vMVPdskWoC业信息表
var tradeTableName = "mm_trademas";
var sortTableName = "mm_sorttypeMas";
var serverTableName = "mm_servermas";
var spaceTalbeName = "mm_spacemas";
var prdTableName = "mm_prdmas";
var screenWidth = document.body.offsetWidth;
//获取位置数据
function getSpace() {
	if(checkNewData(spaceTalbeName)) {
		downSpace();
	} else {
		setLeft();
	}
};

//从服务器下载数据
function downSpace(posData) {
	var posData = JSON.parse(plus.storage.getItem("LastPosition"));
	var serverPage = "/DataGet/BaseData/GetSpace.ashx";
	var para = {
		cityCode: posData.CityCode,
		cityName: posData.CityName
	};
	RunAjax(serverPage, para, function(dataS) {
		//将数据保存在本地。
		plus.storage.setItem("SpaceData", dataS);
		var data = JSON.parse(dataS);
		var maxUpdateTime = getMaxDataRecord(data, "UpdateTime");
		var count = data.length;
		//保存当前数据的最后更改日期
		setLastDate(spaceTalbeName, maxUpdateTime, count, true);

		//设置左边
		setLeft();
	});
};

//设置左边的数据项，主要是城市区域及所辖县市。
function setLeft() {
	var cityData = JSON.parse(plus.storage.getItem("SpaceData"));
	if(!cityData) return;
	var data = cityData.filter(function(item) {
		return item.SpaceTypeId == 3 || item.SpaceTypeId == 4;
	});
	var elTown = document.getElementById("leftTown");
	for(var i = 0; i < data.length; i++) {
		var el = document.createElement("a");
		el.className = "mui-control-item";
		el.id = "left" + data[i].SpaceId;
		el.setAttribute("href", "#byCity" + data[i].SpaceId);
		el.innerHTML = data[i].SpaceName;
		elTown.parentNode.insertBefore(el, elTown);
		//商圈
		setGroup(data[i], cityData);
		//城市
		setSpace(data[i], cityData);
	};
	cityData = null;
	//将第一项设为活动项
	mui("#spaceParent a")[0].classList.add("mui-active");
	mui("#spaceChild div")[0].classList.add("mui-active");
};

//设置商圈
function setGroup(data, cityData) {
	var liObj = document.createElement("li");
	liObj.className = "mui-table-view-cell mui-collapse";
	var aObj = document.createElement("a");
	aObj.className = "mui-navigate-right";
	aObj.href = "#";
	aObj.innerHTML = data.SpaceName;
	liObj.appendChild(aObj);
	var divObj = document.createElement("div");
	divObj.className = "mui-collapse-content";
	//取得商圈列表
	var groupData = cityData.filter(function(item) {
		return item.ParentId == data.SpaceId && item.SpaceTypeId == 6;
	});
	for(var i = 0; i < groupData.length; i++) {
		var aChild = [];
		aChild.push('<button type="button" class="mui-btn mui-btn-red mui-btn-outlined"');
		aChild.push(' spaceType = "1" ');
		aChild.push(' spaceId = "' + groupData[i].SpaceId + '"');
		aChild.push(' style = "width:48%;">');
		aChild.push(groupData[i].SpaceName + (groupData[i].CountShop?'(' + groupData[i].CountShop + ')':""));
		aChild.push('</button>');
		divObj.innerHTML += aChild.join('');
	};
	liObj.appendChild(divObj);
	document.getElementById("spaceGroup").appendChild(liObj);
	//将第一项设为活动项。
	mui("#spaceGroup li")[0].classList.add("mui-active");
};
//城市区域，县市具体地址。
function setSpace(data, cityData) {
	//筛选数据
	var streetData = cityData.filter(function(item) {
		return item.SpaceTypeId == 5 && item.ParentId == data.SpaceId;
	});
	//排序
	streetData.sort(function(a, b) {
		return a["FirstChar"] > b["FirstChar"] ? 1 :
			a["FirstChar"] == b["FirstChar"] ? 0 : -1;
	});
	//创建Dom：城市区域街道div
	var divObj = document.createElement("div");
	divObj.id = "byCity" + data.SpaceId;
	divObj.style.backgroundColor = "white";
	divObj.classList.add("mui-control-content");
	//加入当前城市的地址框
	document.getElementById("spaceChild").appendChild(divObj);
	for(var i = 0; i < streetData.length; i++) {
		var firstChar = streetData[i].FirstChar.substr(0, 1);
		var charId = data.SpaceId + firstChar;
		var charObj = document.getElementById(charId);
		if (!charObj){
			//不存在时，添加一系列对象
			charObj = document.createElement("div");
			
//			charObj.id = charId;
			
			var cStr = '<div class="mk-list-header" >';
			cStr += '<label>' + firstChar + '</label>';
			cStr += '</div>';
			cStr += '<div id = "' + charId + '" style = "padding-right:2%;padding-bottom: 6px;"></div>'
			charObj.innerHTML = cStr;
			divObj.appendChild(charObj);
		};
		var aChild = [];
		//添加街道地址
		aChild.push('<button type="button" class="mui-btn mui-btn-red mui-btn-outlined"');
		aChild.push(' spaceType = "1" ');
		aChild.push('spaceId = "' + streetData[i].SpaceId + '"');
		aChild.push(' style = "width:48%;">');
		aChild.push(streetData[i].SpaceName + '(' + streetData[i].CountShop + ')');
		aChild.push('</button>');
		document.getElementById(charId).innerHTML += aChild.join('');

		//将第一项设为活动项。
		mui("#byCity" + data.SpaceId)[0].classList.add("mui-active");
	};
};

//获取<同围>项数据
function getNear() {
	var serverPage = "/DataGet/BaseData/GetNear.ashx";
	RunAjax(serverPage, {}, function(dataS) {
		//将数据缓存到本地
		plus.storage.setItem("NearSpace", dataS);
		//设置附近数据。
		setNear();
	});
};

//设置附近数据
function setNear() {
	//从本地读取数据
	var data = JSON.parse(plus.storage.getItem("NearSpace"));
	//设置界面数据。
	var parentEl = document.getElementById("near");
	for(var i = 0; i < data.length; i++) {
		var el = document.createElement("li");
		el.className = "mui-table-view-cell";
		el.innerHTML = data[i].NearName;
		el.setAttribute("spaceId", data[i].Id);
		el.setAttribute("spaceType", "0");
		parentEl.appendChild(el);
	}
	data = null;
};

//获取行业数据信息。
function getTrade() {
	if(checkNewData(tradeTableName)) {

		downTrade();
	} else {

		setTrade(0, "");
	}
}

//从服务器上下载数据。
function downTrade() {
	serverPage = "/DataGet/BaseData/GetTrade.ashx";
	RunAjax(serverPage, {}, function(dataS) {
		plus.storage.setItem("tradeData", dataS);
		var data = JSON.parse(dataS);
		var maxUpdateTime = getMaxDataRecord(data, "UpdateTime");
		var count = data.length;
		//保存当前数据的最后更改日期
		setLastDate(tradeTableName, maxUpdateTime, count, true);
		setTrade(0);
	});

}

//写入dom
function setTrade(parentId, tradeName) {
	var localTrade = JSON.parse(plus.storage.getItem("tradeData"));
	var self = plus.webview.currentWebview();
	if(!localTrade) return;
	var data = localTrade.filter(function(item) {
		return item.ParentId == parentId;
	});
	var aParent = [];
	var tradeParent = document.getElementById("tradeParent");
	var tradeChild = document.getElementById("tradeChild");
	if(parentId == 0) {
		for(var i = 0; i < data.length; i++) {
			var curId = data[i].TradeId;
			aParent.push('<a class="mui-control-item" href="#trade' + curId + '">');
			aParent.push(data[i].TradeName + '</a>');
			//加载完父级之后再加载子级
			//(strActive是为了子项选中的参数。)
			setTrade(curId, data[i].TradeName);
		}
		tradeParent.innerHTML = aParent.join("");
		//第一个默认选中。
		mui("#tradeParent a")[0].classList.add("mui-active");
		mui("#tradeChild div")[0].classList.add("mui-active");
	} else {

		var aChild = [];
		aChild.push('<div style = "padding:15px 10px 10px 0px;" class = "mui-control-content" id = "trade' + parentId + '">');
		//		aChild.push('<ul class="mui-table-view">');
		if(!self.isSelect) {
			//添加大类的全部
			aChild.push('<button type="button" class="mui-btn mui-btn-red mui-btn-outlined"');
			aChild.push(' isParent = "1" ');
			aChild.push('tradeId = "' + parentId + '"');
			aChild.push(' style = "width:98%;">');
			aChild.push('全部  [' + tradeName + ']');
			aChild.push('</button>');
		}
		for(var i = 0; i < data.length; i++) {
			aChild.push('<button type="button" class="mui-btn mui-btn-red mui-btn-outlined mui-ellipsis" ');
			aChild.push(' tradeId = "' + data[i].TradeId + '"');
			aChild.push(' style = "width:48%;">');
			aChild.push(data[i].TradeName);
			aChild.push('</button>');
		}
		aChild.push('</div>');
		tradeChild.innerHTML += aChild.join("");
	}
};

//获取排序数据
function getSort() {
	if(checkNewData(sortTableName)) {
		downSort();
	} else {
		setSort();
	}
};
//从服务器上下载数据。
function downSort() {
	serverPage = "/DataGet/BaseData/GetSortType.ashx";
	RunAjax(serverPage, {}, function(dataS) {
		var data = JSON.parse(dataS);
		plus.storage.setItem("sortData", dataS);
		var maxUpdateTime = getMaxDataRecord(data, "UpdateTime");
		var count = data.length;

		//保存当前数据的最后更改日期
		setLastDate(sortTableName, maxUpdateTime, count, true);
		setSort();
	});
};
//写入dom
function setSort() {
	var data = JSON.parse(plus.storage.getItem("sortData"));
	if(!data) return;
	html = [];
	for(var i = 0; i < data.length; i++) {
		html.push('<li dataId = "' + data[i].SortTypeId + '" class="mui-table-view-cell" ');
		if(data[i].SortRange && data[i].SortRange.length > 0) {
			html.push('sortRange = "' + data[i].SortRange + '" ');
		}
		html.push('>');
		html.push(data[i].SortTypeName);
		html.push('</li>');
	}
	document.getElementById("sort").innerHTML = html.join("");
	data = null;
};

//获取服务数据
function getServer() {
	if(checkNewData(serverTableName)) {
		downServer();
	} else {
		setServer();
	}
};
//从服务器上下载数据。
function downServer() {
	var serverPage = "/DataGet/BaseData/GetServer.ashx";
	RunAjax(serverPage, {}, function(dataS) {
		plus.storage.setItem("serverData", dataS);
		var data = JSON.parse(dataS);
		var maxUpdateTime = getMaxDataRecord(data, "UpdateTime");
		var count = data.length;

		//保存当前数据的最后更改日期
		setLastDate(serverTableName, maxUpdateTime, count, true);
		setServer();
	});
};

//写入dom
function setServer() {
	var data = JSON.parse(plus.storage.getItem("serverData"));
	if(!data) return;
	var serverObj = document.getElementById("serverList");
	var html = [];
	for(var i = 0; i < data.length; i++) {
		html.push('<div class="mui-input-row mui-checkbox" >');
		html.push('<label>' + data[i].ServerName + '</label>');
		html.push('<input name="Checkbox" type="checkbox" serverId = ' + data[i].ServerId + '>');
		html.push('</div>');
	}
	serverObj.innerHTML = html.join("");
	data = null;
};

//获取大类列表。
function GetPrdList(otherJob) {
	if(checkNewData(prdTableName)) {

		downPrd(otherJob);
	} else {

		otherJob();
	}
}
//Ajax从服务器加载大类
function downPrd(otherJob) {
	var serverPage = "/DataGet/BaseData/GetPrdList.ashx";
	RunAjax(serverPage, {}, function(dataS) {
		//将列表保存在本地。
		plus.storage.setItem("prdData", dataS);
		//保存本地数据记录
		var data = JSON.parse(dataS);

		var maxUpdateTime = getMaxDataRecord(data, "UpdateTime");
		var count = data.length;
		//保存当前数据的最后更改日期
		setLastDate(prdTableName, maxUpdateTime, count, true);

		//设置界面数据
		otherJob();
	});

}